Skip to main content
GET
/
analytics
/
posts
Get post analytics
curl --request GET \
  --url https://api.smartlyq.com/v1/analytics/posts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": "<unknown>",
  "usage": {
    "units": 123,
    "cost": "0.0150",
    "balance_remaining": "99.9850"
  },
  "meta": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.smartlyq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Query Parameters

page
integer
default:1

Page number (1-based).

Required range: x >= 1
per_page
integer
default:20

Items per page.

Required range: 1 <= x <= 100
platform
string

Filter by social platform

date_from
string<date>

Start date (YYYY-MM-DD)

date_to
string<date>

End date (YYYY-MM-DD)

Response

Post analytics

success
enum<boolean>
Available options:
true
data
any
usage
object
meta
object